Bug 2514 - Samba 3.012: hide special = hide everything
Samba 3.012: hide special = hide everything
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.12
All Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 03:38 UTC by Peter Rindfuss
Modified: 2005-08-24 10:19 UTC (History)
2 users (show)

See Also:


Attachments
patch to fix "hide special hides all" issue (352 bytes, patch)
2005-06-30 03:22 UTC, Dmitry Butskoy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Rindfuss 2005-03-22 03:38:46 UTC
After upgrading our Suse Linux 9.2 / Samba 3.011 server to Samba 3.012 with no
configuration changes, shares could be mounted from Windows XP but contents
where not visible anymore. I had to set "hide special files = no" in order to
see files and directories again. "hide special files" was globally set to "yes"
originally.

Partial smb.conf:
[global]
	create mask = 0700
	directory mask = 0700
	ea support = Yes
	map acl inherit = Yes
	hide unreadable = Yes
	hide special file = Yes (3.011) / No (3.012)
	map archive = No
	mangled names = No
	store dos attributes = Yes

[netlogon]
	comment = Network Logon Service
	path = /wzb/netlogon
	guest ok = Yes
	browseable = No

[wzb]
	comment = WZB File Server Share
	path = /wzb/samba
	read only = No
	inherit permissions = Yes
	inherit acls = Yes
	veto files = /.*/
Comment 1 Dmitry Butskoy 2005-06-30 03:22:19 UTC
Created attachment 1291 [details]
patch to fix "hide special hides all" issue

  The same still exist in 3.0.14a
  Fixing of issue is trivial, see the patch.
Comment 2 Jeremy Allison 2005-07-18 17:07:16 UTC
Fixed for 3.0.20, thanks.
Jeremy
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.